import request from '@/utils/request';

//提交零售订单(支付一起)
export const createOrderApi = (data) => {
	return request.post('/order/order/createOrder', data);
}

//订单列表
export const orderListApi = (data) => {
	return request.get('/order/order/order_list', data);
}

//订单详情
export const orderDetailApi = (data) => {
	return request.get('/order/order/detail', data);
}

//重新发起支付
export const rePaymentApi = (data) => {
	return request.post('/order/order/pay', data);
}

//订单数量统计
export const orderCountApi = (data) => {
	return request.post('/order/order/order_count', data);
}

//取消订单
export const cancelOrderApi = (data) => {
	return request.post('/order/order/cancel_order', data);
}

//订单确认收货
export const confirmReceiptApi = (data) => {
	return request.post('/order/order/confirm_receipt', data);
}

//订单再次购买
export const purchaseAgainApi = (data) => {
	return request.get('/order/order/purchase_again', data);
}

// 核销
// 核销订单列表 
export const writeListApi = (data) => {
	return request.post('/order/order/write_list', data);
}

// 单个订单核销
export const writeOrderApi = (data) => {
	return request.post('/order/order/writeoff_order', data);
}

// 核销数量统计
export const writeCountApi = (data) => {
	return request.post('/order/order/write_count', data);
}

// 根据核销码查询记录
export const writeCodeApi = (data) => {
	return request.post('/order/order/write_code', data);
}

// 取消售后
export const cancelSaleApi = (data) => {
	return request.get('/order/order/cancel_sale', data);
}

// 订单退款原因
export const refundReasonListApi = (data) => {
	return request.post('/order/order/refund_reason', data);
}

// 订单退款申请
export const applyRefundApi = (data) => {
	return request.post('/order/order/apply_refund', data);
}